Apache Struts 2 路径遍历漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1145060 漏洞类型 路径遍历
发布时间 2016-10-25 更新时间 2019-08-15
CVE编号 CVE-2016-6795 CNNVD-ID CNNVD-201610-681
漏洞平台 N/A CVSS评分 7.5
|漏洞来源
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-201610-681
|漏洞详情
Apache Struts是美国阿帕奇(Apache)软件基金会的一个开源项目,是一套用于创建企业级Java Web应用的开源MVC框架,主要提供两个版本框架产品,Struts 1和Struts 2。 Apache Struts 2 2.3.20至2.3.30版本中存在路径遍历漏洞,该漏洞源于程序没有充分过滤用户提交的输入。远程攻击者可通过发送包含目录遍历字符‘../’的请求利用该漏洞检索敏感信息,在服务器上执行任意代码。
|参考资料

来源:BID
链接:http://www.securityfocus.com/bid/93773
来源:CONFIRM
链接:https://struts.apache.org/docs/s2-042.html